Skip to main content
PATCH
Update group

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app where the property group exists.

groupName
string
required

The name of the property group to update.

objectType
string
required

The type of object for which the property group is being updated.

Body

application/json
displayOrder
integer<int32>

An integer indicating the display order of the property group.

label
string

A string representing the label of the property group.

Response

successful operation

archived
boolean
required

A boolean indicating whether the property group is archived. It is required.

label
string
required

A human-readable label for the property group. It is a string and is required.

name
string
required

The name of the property group. It is a string and is required.

displayOrder
integer<int32>

An integer indicating the order in which the property group should be displayed.

Last modified on September 9, 2026